Points again

Discussion in 'AutoCAD' started by SixFeet6, Jan 25, 2005.

  1. SixFeet6

    SixFeet6 Guest

    this code works but all C3D points are placed at 0,0,0 coordinates,

    how do I get the right coordinates in PT() ?


    THX !!!!



    For Each elem In ThisDrawing.ModelSpace
    With elem
    If (.EntityName = "AcDbPoint") Then

    pt(0) = .Coordinate(0)
    pt(1) = .Coordinate(1)
    pt(2) = .Coordinate(2)

    Set oPoint4 = oPoints.Add(pt)
    oPoint4.Name = "Gpoint"
    oPoint4.LabelStyle = g_oAeccDoc.PointLabelStyles.Item(0)
    ' MsgBox "ok"
    ' .Update
    found = True
    End If
    End With
    Set elem = Nothing
    Next elem
     
    SixFeet6, Jan 25, 2005
    #1
  2. SixFeet6

    Jeff Mishler Guest

    Use the format of:
    pt = elem.coordinates
     
    Jeff Mishler, Jan 25, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.